ata_std_dev_select
Prev | Chapter 4. libata Library | Next

## Name

ata_std_dev_select — Select device 0/1 on ATA bus

## Synopsis

`void ata_std_dev_select (` | struct ata_port * | ap,
| unsigned int | device`)`;

## Arguments

`ap`

  ATA channel to manipulate

`device`

  ATA device (numbered from zero) to select

## Description

Use the method defined in the ATA specification to make either device 0, or device 1, active on the ATA channel. Works with both PIO and MMIO.

May be used as the `dev_select` entry in ata_port_operations.

## LOCKING

caller.

Prev | Up | Next
ata_noop_dev_select | Home | ata_id_xfermask